Bug 236234 - databases/php-memcache: re-enable build with php71
Summary: databases/php-memcache: re-enable build with php71
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-04 22:51 UTC by Krzysztof
Modified: 2019-03-11 17:33 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
databases_php-memcache.patch (3.03 KB, patch)
2019-03-04 22:51 UTC, Krzysztof
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Krzysztof 2019-03-04 22:51:32 UTC
Created attachment 202567 [details]
databases_php-memcache.patch

Hi,

I'm using databases/php-memcache with php71 because it is needed for www/matomo. After last update port is setup as IGNORE with php71.

I've checked git repository and found that two small patched is enough to build php-memcache with php71 without any errors.

So I hope that this port will be patched soon. I've checked this patches with poudriere. You can check logs at: http://pkg.bsdserwis.com/pkg/data/11x64-default-php71/2019-03-04_23h15m31s/logs/php71-memcache-4.0.1.log
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-03-05 16:40:39 UTC
Please provide the URL of original patch in git repository.
Comment 2 Krzysztof 2019-03-05 20:55:23 UTC
OK. So I've checked github.com to see open issues of pecl-memcache:

1. https://github.com/websupport-sk/pecl-memcache/issues/35 -> https://github.com/websupport-sk/pecl-memcache/commit/09e21a63410cbfd8827c7a876d8160a6b80b076c#diff-9f1719689bef6d7c731dfa15cfe326e9

2. I've just comparedfunction definition at php7/memcache_pool.h to function "usage" at php7/memcache_session.c So I patched php7/memcache_pool.h and voila.

I hope this is helpful
You can see logs for failed compilation: http://pkg.bsdserwis.com/pkg/data/11x64-default-php71/2019-03-04_22h52m22s/logs/errors/php71-memcache-4.0.1.log
Comment 3 commit-hook freebsd_committer 2019-03-08 20:39:11 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Mar  8 20:38:07 UTC 2019
New revision: 495071
URL: https://svnweb.freebsd.org/changeset/ports/495071

Log:
  Fix build with PHP 7.1

  PR:		236234
  Submitted by:	Krzysztof <ports@bsdserwis.com>
  Obtained from:	https://github.com/websupport-sk/pecl-memcache/commit/09e21a63410cbfd8827c7a876d8160a6b80b076c

Changes:
  head/databases/php-memcache/Makefile
  head/databases/php-memcache/files/patch-php7-memcache_pool.c
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-03-11 17:33:47 UTC
Committed. Thanks!